/* Source File

  Company:
    Microchip Technology Inc.

  File Name:
    main.c

  Summary:
    This is the main file generated using PIC10 / PIC12 / PIC16 / PIC18 MCUs 

  Description:
    This header file provides implementations for driver APIs for all modules selected in the GUI.
    Generation Information :
        Product Revision  :  PIC10 / PIC12 / PIC16 / PIC18 MCUs  - 1.45
        Device            :  PIC16F18857
        Driver Version    :  2.00
    The generated drivers are tested against the following:
        Compiler          :  XC8 1.35
        MPLAB             :  MPLAB X 3.40
*/

/*
    (c) 2016 Microchip Technology Inc. and its subsidiaries. You may use this
    software and any derivatives exclusively with Microchip products.

    THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER
    EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED
    WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A
    PARTICULAR PURPOSE, OR ITS INTERACTION WITH MICROCHIP PRODUCTS, COMBINATION
    WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION.

    IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE,
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND
    WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS
    BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE
    FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN
    ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF ANY,
    THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.

    MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE OF THESE
    TERMS.
*/

#include "mcc_generated_files/mcc.h"
#include "bme_lib2.h"
#include "i2c_lib2.h"
#include "lcd_lib2.h"
#include <stdio.h>
/* O[oϐ` */
double temp_act, pres_act, hum_act;
signed long long temp_cal;
unsigned long long pres_cal, hum_cal;
unsigned char StMsg[] = "\r\nStart Measure Sensor";
/***  ჌xo͊֐̏㏑ ***/
void putch(unsigned char Data){
    lcd_data(Data);
}

/*
                         Main application
 */
void main(void)
{
    // initialize the device
    SYSTEM_Initialize();

    // When using interrupts, you need to set the Global and Peripheral Interrupt Enable bits
    // Use the following macros to:

    // Enable the Global Interrupts
    INTERRUPT_GlobalInterruptEnable();

    // Enable the Peripheral Interrupts
    INTERRUPT_PeripheralInterruptEnable();

    // Disable the Global Interrupts
    //INTERRUPT_GlobalInterruptDisable();

    // Disable the Peripheral Interrupts
    //INTERRUPT_PeripheralInterruptDisable();
    /* LCDd */
    LCDPWR_SetLow();        // dIt
    __delay_ms(10);
    LCDPWR_SetHigh();       // dI     
    /* LCD */
    lcd_init();                         // LCD
    /*** xZT ***/
    bme_init();                         // 
    bme_gettrim();                      // rpf[^擾     
    while (1)
    {
        // Add your application code
        /*** xZTf[^擾  ***/
        bme_getdata();                              // vf[^擾
        temp_cal = calib_temp(temp_raw);            // xr
        pres_cal = calib_pres(pres_raw);            // Cr
        hum_cal = calib_hum(hum_raw);               // xr
        /*** ۂ̒lɃXP[ϊ **/
        temp_act = (double)temp_cal / 100.0;        // x
        pres_act = (double)pres_cal / 100.0;        // C
        hum_act = (double)hum_cal / 1024.0;         // x         
        /*** f[^o */
        lcd_cmd(0x80);                              // 1s
        printf("T %2.1fdegC H %2.0f%%",temp_act, hum_act);
        lcd_cmd(0xC0);                              // 2s
        printf("P %4.0fhPa", pres_act);
        __delay_ms(3000);
    }
}
/**
 End of File
*/